# Uses of Class
ij.plugin.MacroInstaller

Packages that use MacroInstaller
Package
Description
ij.gui
ij.plugin.tool

## Uses of MacroInstaller in ij.gui

Methods in ij.gui with parameters of type MacroInstaller
Modifier and Type
Method
Description
`void`
Toolbar.`addMacroTool(String name, MacroInstaller macroInstaller)`
Used by the MacroInstaller class to add a macro tool to the toolbar.
`void`
Toolbar.`addMacroTool(String name, MacroInstaller macroInstaller, int id)`
Used by the MacroInstaller class to install a set of macro tools.

## Uses of MacroInstaller in ij.plugin.tool

Constructors in ij.plugin.tool with parameters of type MacroInstaller
Modifier
Constructor
Description
``
`MacroToolRunner(MacroInstaller installer)`